# Reserve reach-frequency inventory

Reserves reach-frequency inventory. Works with Meta Ads.

```http
POST https://api.pozy.ai/v1/ads/rf-predictions/{predictionId}/reserve
```

- Area: Ads / Reach and Frequency
- Auth: Authorization: Bearer pz_live_...

## Path parameters

- `predictionId` (string, required)

## Request body

Content type: `application/json`

- `accountId`, string, required
- `adAccountId`, string, required

## Example request

```bash
curl -X POST "https://api.pozy.ai/v1/ads/rf-predictions/67efcfc573f55bdb3de39dd1/reserve" \
  -H "Authorization: Bearer $POZY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "accountId": "696e0b682d0a31188e7a2ba9",
  "adAccountId": "666219aad7bab67ace411e4f"
}'
```

```ts
const res = await fetch("https://api.pozy.ai/v1/ads/rf-predictions/67efcfc573f55bdb3de39dd1/reserve", {
  method: "POST",
  headers: {
    Authorization: `Bearer ${process.env.POZY_API_KEY}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    accountId: "696e0b682d0a31188e7a2ba9",
    adAccountId: "666219aad7bab67ace411e4f"
  }),
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.post(
    "https://api.pozy.ai/v1/ads/rf-predictions/67efcfc573f55bdb3de39dd1/reserve",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    json={
        "accountId": "696e0b682d0a31188e7a2ba9",
        "adAccountId": "666219aad7bab67ace411e4f",
    },
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 201

- `adAccountId`, string
- `prediction`, object
  - `predictionId`, string
  - `status`, string
  - `budget`, number: Can be null
  - `reach`, integer: Can be null
  - `impressions`, integer: Can be null
  - `minBudget`, number: Can be null
  - `maxBudget`, number: Can be null
  - `minReach`, integer: Can be null
  - `maxReach`, integer: Can be null
  - `frequencyCap`, integer: Can be null
  - `startTime`, integer: Can be null
  - `stopTime`, integer: Can be null
  - `expiresAt`, string: Can be null

```json
{
  "adAccountId": "666219aad7bab67ace411e4f",
  "prediction": {
    "predictionId": "67efcfc573f55bdb3de39dd1",
    "status": "active",
    "budget": 12.5,
    "reach": 1,
    "impressions": 1,
    "minBudget": 12.5,
    "maxBudget": 12.5,
    "minReach": 1,
    "maxReach": 1,
    "frequencyCap": 1,
    "startTime": 1,
    "stopTime": 1,
    "expiresAt": "2026-10-02T09:00:00.000Z"
  }
}
```
